Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authorization
Interface PolicyEditorMBean

All Known Subinterfaces:
  DefaultAuthorizerMBean

public interface PolicyEditorMBean
extends weblogic.management.commo.StandardInterface, PolicyReaderMBean

Provides a set of methods for creating, editing, and removing policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `createPolicy(java.lang.String resourceId, java.lang.String expression)` Creates a policy for accessing a resource.
`void` | `removePolicy(java.lang.String resourceId)` Removes a policy.
`void` | `setPolicyExpression(java.lang.String resourceId, java.lang.String expression)` Sets a policy expression for a resource.

Methods inherited from interface weblogic.management.security.authorization.PolicyReaderMBean
`getPolicyExpression, policyExists`

Method Detail

### setPolicyExpression

    public void setPolicyExpression(java.lang.String resourceId,
                                    java.lang.String expression)
                             throws NotFoundException,
                                    CreateException

  Sets a policy expression for a resource.

  Parameters:
    `resourceId` - - The resource for which this method sets the policy expression. A null value will trigger NullPointerException.
    `expression` - - The expression that determines the type of access this policy allows to the resource. A null value prohibits any type of access.
  Throws:
    NotFoundException -
    CreateException -

### createPolicy

    public void createPolicy(java.lang.String resourceId,
                             java.lang.String expression)
                      throws AlreadyExistsException,
                             CreateException

  Creates a policy for accessing a resource.

  Parameters:
    `resourceId` - - The ID of the resource. A null value will trigger NullPointerException.

    For information about creating resources, refer to the Javadoc for

    - `weblogic.security.spi.Resource`
    - .
    `expression` - - The expression that determines the type of access this policy allows to the resource. A null value prohibits any type of access.
  Throws:
    AlreadyExistsException -
    CreateException -

### removePolicy

    public void removePolicy(java.lang.String resourceId)
                      throws NotFoundException,
                             RemoveException

  Removes a policy.

  Parameters:
    `resourceId` - - The resource for which this method removes a policy. A null value may trigger NullPointerException.
  Throws:
    NotFoundException -
    RemoveException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD